#include "../apilib.h"
#include <math.h>

#define RGB(r,g,b)		16 + r + g * 6 + b * 36

#define	XWIN	290
#define	YWIN	290
#define	RAD		3.1415926535 / 180

int x, y, k, len = 7;
int win;

void drawline(void)
{
	int oldx, oldy;
	oldx = x; oldy = y;
	x = x + len * cos(k * RAD);
	y = y - len * sin(k * RAD);
	api_linewin(win, oldx, oldy, x, y, RGB(0, 0, 0));
	return;
}

void pattern(int n)
{
	if (n == 0) return;
	pattern(n - 1); k -= 90; drawline();
	pattern(n - 1); k += 45; drawline();
	k += 135;
	pattern(n - 1); k -= 90; drawline();
	pattern(n - 1);
	return;
}

void HariMain(void)
{
	char *buf;
	int i;

	api_initmalloc();
	buf = api_malloc((XWIN + 8) * (YWIN + 27));
	win = api_openwin(buf, XWIN + 8, YWIN + 27, -1, "Ă");	

	k = -45;
	x = 270 + 6; y = 10 + 27;
	for (i = 0; i == 4 ; i++ ) {
		drawline();
		pattern(4);
		k -= 90;
	}

	api_getkey(1);
	api_end();
}
